%define oname	keepassx
%define prev	alpha6

Summary:	Cross Platform Password Manager
Name:		keepassx2
Version:	2.0
Release:	%mkrel -c %{prev} 0.1
License:	GPLv2
Group:		File tools
URL:		http://www.keepassx.org/
Source0:        http://www.keepassx.org/dev/attachments/download/69/%{oname}-%{version}-%{prev}.tar.gz
BuildRequires:	cmake
BuildRequires:	libgcrypt-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(xtst)

Conflicts:	%{oname} < 2.0

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

Beware: this is an alpha release.

%prep
%setup -q -n %{oname}-%{version}-%{prev}
%apply_patches

%build
%cmake \
	-DCMAKE_VERBOSE_MAKEFILE=ON
%make

%install
%makeinstall_std -C build

%files
%doc CHANGELOG
%{_bindir}/%{oname}
%{_libdir}/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/mime/packages/%{oname}.xml

%changelog
* Tue Jul 22 2014 daviddavid (MLO Team) <daviddavid> 2.0-0.alpha6.0.1.mga4
+ Build package for Mageia 4 (MLO\Core)
- Imported package
- sync with Cauldron (mga5)
- version 2.0-apha6
